const burgerMenu = document.querySelector('.menu'),
	navLinks = document.querySelector('.nav-links');

burgerMenu.addEventListener('click', () => {
	navLinks.classList.toggle("openmenu");
	burgerMenu.classList.toggle("animated");
});

const scrollMap = document.querySelector('.scroll');

lastScrollTop = 0;

window.addEventListener("scroll", () => {
	const scrollTop = window.pageYOffset || document.createElement.scrollTop;
	if (scrollTop > lastScrollTop) {
		scrollMap.style.top = "-50%";
		navLinks.classList.remove("openmenu");
		burgerMenu.classList.remove("animated");
	} else {
		scrollMap.style.top = "0";
	}
	lastScrollTop = scrollTop;
});

window.onscroll = function () {
	const top = window.scrollY;
	if (top >= 5) {
		scrollMap.classList.add('colored');
	} else {
		scrollMap.classList.remove('colored');
	}
}